IDEAS

Help shape the future of CurseForge!

Fix API dependencies fileId

Dependencies still have incorrect fileId. It references the dependant mod and not the dependency mod.


Example from Biomes O' Plenty:

{ "data": [ { "id": 3599344, "gameId": 432, "modId": 220318, "isAvailable": true, "displayName": "Biomes O' Plenty 1.18.1-15.0.0.92",
...

"dependencies": [ { "modId": 563928, "fileId": 3599344, "relationType": 3 } ],
  • Christopher Blodgett
  • Feb 16 2022
  • Bug logged for Fix
  • Attach files
  • Amichai commented
    22 Feb 08:45am

    Thank you for approaching us. See our comment below:

    1. It is recommended to take the latest file released for the appropriate game version and modloader (specifically for Minecraft)

    2. We will remove the redundant fileId field